package com.cpms.project.asset.mapper;

import java.util.List;
import com.cpms.project.asset.domain.TSpecdevTypemgr;

/**
 * 设备类型管理Mapper接口
 * 
 * @author admin
 * @date 2023-08-08
 */
public interface TSpecdevTypemgrMapper 
{
    /**
     * 查询设备类型管理
     * 
     * @param id 设备类型管理主键
     * @return 设备类型管理
     */
    public TSpecdevTypemgr selectTSpecdevTypemgrById(Long id);

    /**
     * 查询设备类型管理列表
     * 
     * @param tSpecdevTypemgr 设备类型管理
     * @return 设备类型管理集合
     */
    public List<TSpecdevTypemgr> selectTSpecdevTypemgrList(TSpecdevTypemgr tSpecdevTypemgr);

    /**
     * 新增设备类型管理
     * 
     * @param tSpecdevTypemgr 设备类型管理
     * @return 结果
     */
    public int insertTSpecdevTypemgr(TSpecdevTypemgr tSpecdevTypemgr);

    /**
     * 修改设备类型管理
     * 
     * @param tSpecdevTypemgr 设备类型管理
     * @return 结果
     */
    public int updateTSpecdevTypemgr(TSpecdevTypemgr tSpecdevTypemgr);

    /**
     * 删除设备类型管理
     * 
     * @param id 设备类型管理主键
     * @return 结果
     */
    public int deleteTSpecdevTypemgrById(Long id);

    /**
     * 批量删除设备类型管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTSpecdevTypemgrByIds(Long[] ids);
}
